### Installation ###

# Packaging directory
DESTDIR=
# Prefix directory
PREFIX=/usr/local
# Where to place binaries
# and where to find utroff tools
BINDIR=$(PREFIX)/bin
# Where to place manuals
MANDIR=$(PREFIX)/man
# Where to place libraries
LIBDIR=$(PREFIX)/share/utroff
# Where to place refer utilities
REFDIR=$(LIBDIR)/refer
# Where to place xsl stylesheet
XSLDIR=$(LIBDIR)/xsl
# Where to place troff macros
MACDIR=$(LIBDIR)/tmac
# where to place pdf files
DOCDIR=$(LIBDIR)/doc

### Website and repository ###

# Where to place html files
WEBDIR=$(LIBDIR)/www
# Where to place repository
PUBDIR=$(LIBDIR)/pub
# Url of website
# (set it to WEBDIR for local html documentation)
WEBURL=http://utroff.org
# Url of repository
# (set it to PUBDIR for local html documentation)
PUBURL=http://download.tuxfamily.org/utroff


### scp configuration to upload website ###

# User who can do scp
SSHUSER=
# Url where to scp
SSHURL=ssh.tuxfamily.org:/home/utroff
# Where to scp html files in $(WEBDIR)
SSHWEB=$(SSHURL)/utroff.org-web/htdocs
# Where to scp repository in $(PUBDIR)
SSHREP=$(SSHURL)/utroff-repository


### Build dependencies ###

# Posix shell
SHELL=/bin/sh
# Strip
STRIP=strip -s -R .comment -R .note
# Install
INSTALL=/usr/bin/install
# C compiler
CC=gcc
# compilier flags
CFLAGS=-O
# Compiler warning
WARN=-Wall
# Support for locale specific character 
EUC=-DEUC
# Linker flags
LDFLAGS=
# Additionnal libraries to link with
LIBS=
# C preprocessor flags.
# Use -D_GNU_SOURCE for Linux with GNU libc.
# Use -D_INCLUDE__STDC_A1_SOURCE for HP-UX.
CPPFLAGS=-D_GNU_SOURCE


### Build documentation and archive dependencies ###

# Where to find Heirloom tools
HLMDIR=$(BINDIR)
# Heirloom troff
TROFF=$(HLMDIR)/troff
# Heirloom nroff
NROFF=$(HLMDIR)/nroff
# Heirloom dpost
DPOST=$(HLMDIR)/dpost

# Utroff soelim
SOELIM=$(BINDIR)/soelim
# Utroff felim
FELIM=$(BINDIR)/felim
# Utroff ugrind
UGRIND=$(BINDIR)/ugrind
# Utroff prexml
PREXML=$(BINDIR)/prexml
# Utroff postxml
POSTXML=$(BINDIR)/postxml
# Utroff trxtr
TRXTR=$(BINDIR)/trxtr
# ps2pdf
PS2PDF=$(BINDIR)/ps2pdf
# Utroff build scripts
CLOG=$(BINDIR)/clog
GLOG=$(BINDIR)/glog


### Tools to pre-build ###
# (Share must be the first one)
BUILD= share \
	demo \
	dpage \
	idx \
	refer \
	share \
	soelim \
	tchars \
	troffxml \
	ugrind \
	utmac

### All utroff tools ###
# (Share must be the first one)
UTROFF= share \
	demo \
	dpage \
	frog \
	idx \
	refer \
	share \
	soelim \
	sophia \
	tchars \
	troffxml \
	ugrind \
	utmac \
	www

# $Id: default-config.mk,v 0.3 2013/10/30 16:39:05 pj Exp pj $
