/*
** slelim.c
** Replace slash by \e where appropriate.
** Usefull to convert troff file to another troff format.
** Compile with: cc -Wall -o slelim slelim.c
*/

#if __GNUC__ >= 3 && __GNUC_MINOR__ >= 4 || __GNUC__ >= 4
#define	USED	__attribute__ ((used))
#elif defined __GNUC__
#define	USED	__attribute__ ((unused))
#else
#define	USED
#endif
static const char rcsid[] USED = "$Id: slelim.c,v 0.1 2013/03/17 16:18:42 pj Exp $";

#include <stdio.h>

/*
** main
** Read input stream,
** if \\ is found, print \\
** if \\n is found print \\n
** if \ is found, print \e
** else, print stream.
*/
int
main(void)
{
  char c; 
  int slash=0;
  int vgrind=0;

  while( (c=getchar()) != EOF){

	/* skip between .vS and .vE */

	// look for .vS
	if( c=='\n' && vgrind==0)
		vgrind=1;
	else if( c=='.' && vgrind==1)
		vgrind=2;
	else if( c=='v' && vgrind==2)
		vgrind=3;
	else if( c=='S' && vgrind==3){
		vgrind=0;
		putchar(c);
		// skip until .vE
		while( (c=getchar()) != EOF){
			if( c=='\n' && vgrind==0)
				vgrind=1;
			else if( c=='.' && vgrind==1)
				vgrind=2;
			else if( c=='v' && vgrind==2)
				vgrind=3;
			else if( c=='E' && vgrind==3){
				vgrind=0;
				break;
			}
			else
				vgrind=0;
			putchar(c);
		}
	}
	else
		vgrind=0;

	/* look for slash */

	// slash, look for next char
    if( c=='\\' && slash==0){
      slash=1;
    }
	// slash before two slash, new line, *, n: do nothing
	else if(slash==1 && ( c=='\\' || c=='\n' \
			|| c=='*' || c=='n' ) ){
		putchar('\\');
		putchar(c);
		slash=0;
	}
	// slash before font, transform to string
	else if( c=='f' && slash==1){
		putchar('\\');
		putchar('*');
		slash=0;
	}
	// one slash, escape
	else if( slash==1){
		putchar('\\');
		putchar('e');
		putchar(c);
		slash=0;
	}
	// everything else
	else{
		putchar(c);
		slash=0;
	}
  }
return 0;
}

